CREATE TABLE cn_rs_rule_assignments_all (
    RULE_ASSIGNMENT_ID          NUMBER(18, 0),
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)     NOT NULL,
    RULE_ID                     NUMBER(18, 0)    NOT NULL,
    ASSIGNED_OBJECT_ID          NUMBER(18, 0),
    ASSIGNED_OBJECT_TYPE        VARCHAR2(120)    NOT NULL,
    ORG_ID                      NUMBER(18, 0)    NOT NULL,
    ROLE_ID                     NUMBER(18, 0),
    START_DATE                  DATE             NOT NULL,
    END_DATE                    DATE         ,
    SPLIT_PCT                   NUMBER       ,
    REVENUE_TYPE                VARCHAR2(120),
    ROLLUP_FLAG                 VARCHAR2(4)  ,
    GROUP_MEMBER_CREDIT_FLAG    VARCHAR2(4)  ,
    SUMMARY_FLAG                VARCHAR2(4)  ,
    CREATED_BY                  VARCHAR2(256)    NOT NULL,
    CREATION_DATE               TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128),
    ATTRIBUTE_CATEGORY          VARCHAR2(120),
    ATTRIBUTE1                  VARCHAR2(960),
    ATTRIBUTE2                  VARCHAR2(960),
    ATTRIBUTE3                  VARCHAR2(960),
    ATTRIBUTE4                  VARCHAR2(960),
    ATTRIBUTE5                  VARCHAR2(960),
    ATTRIBUTE6                  VARCHAR2(960),
    ATTRIBUTE7                  VARCHAR2(960),
    ATTRIBUTE8                  VARCHAR2(960),
    ATTRIBUTE9                  VARCHAR2(960),
    ATTRIBUTE10                 VARCHAR2(960),
    ATTRIBUTE11                 VARCHAR2(960),
    ATTRIBUTE12                 VARCHAR2(960),
    ATTRIBUTE13                 VARCHAR2(960),
    ATTRIBUTE14                 VARCHAR2(960),
    ATTRIBUTE15                 VARCHAR2(960),
    RULE_ASSIGNMENT_ID          NUMBER(18, 0),
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)     NOT NULL,
    RULE_ID                     NUMBER(18, 0)    NOT NULL,
    ASSIGNED_OBJECT_ID          NUMBER(18, 0),
    ASSIGNED_OBJECT_TYPE        VARCHAR2(120)    NOT NULL,
    ORG_ID                      NUMBER(18, 0)    NOT NULL,
    ROLE_ID                     NUMBER(18, 0),
    START_DATE                  DATE             NOT NULL,
    END_DATE                    DATE         ,
    SPLIT_PCT                   NUMBER       ,
    REVENUE_TYPE                VARCHAR2(120),
    ROLLUP_FLAG                 VARCHAR2(4)  ,
    GROUP_MEMBER_CREDIT_FLAG    VARCHAR2(4)  ,
    SUMMARY_FLAG                VARCHAR2(4)  ,
    CREATED_BY                  VARCHAR2(256)    NOT NULL,
    CREATION_DATE               TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128),
    ATTRIBUTE_CATEGORY          VARCHAR2(120),
    ATTRIBUTE1                  VARCHAR2(960),
    ATTRIBUTE2                  VARCHAR2(960),
    ATTRIBUTE3                  VARCHAR2(960),
    ATTRIBUTE4                  VARCHAR2(960),
    ATTRIBUTE5                  VARCHAR2(960),
    ATTRIBUTE6                  VARCHAR2(960),
    ATTRIBUTE7                  VARCHAR2(960),
    ATTRIBUTE8                  VARCHAR2(960),
    ATTRIBUTE9                  VARCHAR2(960),
    ATTRIBUTE10                 VARCHAR2(960),
    ATTRIBUTE11                 VARCHAR2(960),
    ATTRIBUTE12                 VARCHAR2(960),
    ATTRIBUTE13                 VARCHAR2(960),
    ATTRIBUTE14                 VARCHAR2(960),
    ATTRIBUTE15                 VARCHAR2(960),
    CONSTRAINT pk_cn_rs_rule_assignments_all PRIMARY KEY (RULE_ASSIGNMENT_ID, RULE_ASSIGNMENT_ID)
);
